# app/schemas/invite.py
from pydantic import BaseModel
from datetime import datetime

# Properties to receive when accepting an invite
class InviteAccept(BaseModel):
    code: str

# Properties to return when an invite is created
class InviteCodePublic(BaseModel):
    code: str
    expires_at: datetime
    group_id: int

# Properties for internal use/DB (optional)
# class Invite(InviteCodePublic):
#     id: int
#     created_by_id: int
#     is_active: bool = True
#     model_config = ConfigDict(from_attributes=True)